Subject: Re: [Cellar] Is there a way for a Block to indicate it contains a keyframe?

From: Michael Bradshaw <[email-masked]>
Date: Mon, 14 Mar 2016 14:04:43 -0700

On Fri, Feb 26, 2016 at 7:42 AM, Moritz Bunkus <[email-masked]> wrote:

> Hey,
>
> a BlockGroup contains a key frame if it doesn't contain any
> ReferenceBlock elements. If it contains one ReferenceBlock then it's a P
> frame; with two ReferenceBlock elements it's a B frame.

In that case I think the wording for ReferenceBlock should be clarified to
require all timestamps of referenced blocks to be written. As it's
currently worded, ReferenceBlock sounds optional for non-keyframes. I might
propose the following additional wording:

"A ReferenceBlock element is mandatory for every referenced block."